<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaEncuesta.home.createOrEditLabel"
          data-cy="EncuestaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaEncuesta.home.createOrEditLabel')"
        >
          Create or edit a Encuesta
        </h2>
        <div>
          <div class="form-group" v-if="encuesta.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="encuesta.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.fecha')" for="encuesta-fecha">Fecha</label>
            <div class="d-flex">
              <input
                id="encuesta-fecha"
                data-cy="fecha"
                type="datetime-local"
                class="form-control"
                name="fecha"
                :class="{ valid: !$v.encuesta.fecha.$invalid, invalid: $v.encuesta.fecha.$invalid }"
                :value="convertDateTimeFromServer($v.encuesta.fecha.$model)"
                @change="updateInstantField('fecha', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.debilidad')" for="encuesta-debilidad">Debilidad</label>
            <input
              type="checkbox"
              class="form-check"
              name="debilidad"
              id="encuesta-debilidad"
              data-cy="debilidad"
              :class="{ valid: !$v.encuesta.debilidad.$invalid, invalid: $v.encuesta.debilidad.$invalid }"
              v-model="$v.encuesta.debilidad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.cefalea')" for="encuesta-cefalea">Cefalea</label>
            <input
              type="checkbox"
              class="form-check"
              name="cefalea"
              id="encuesta-cefalea"
              data-cy="cefalea"
              :class="{ valid: !$v.encuesta.cefalea.$invalid, invalid: $v.encuesta.cefalea.$invalid }"
              v-model="$v.encuesta.cefalea.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.calambres')" for="encuesta-calambres">Calambres</label>
            <input
              type="checkbox"
              class="form-check"
              name="calambres"
              id="encuesta-calambres"
              data-cy="calambres"
              :class="{ valid: !$v.encuesta.calambres.$invalid, invalid: $v.encuesta.calambres.$invalid }"
              v-model="$v.encuesta.calambres.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.nauseas')" for="encuesta-nauseas">Nauseas</label>
            <input
              type="checkbox"
              class="form-check"
              name="nauseas"
              id="encuesta-nauseas"
              data-cy="nauseas"
              :class="{ valid: !$v.encuesta.nauseas.$invalid, invalid: $v.encuesta.nauseas.$invalid }"
              v-model="$v.encuesta.nauseas.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.vomito')" for="encuesta-vomito">Vomito</label>
            <input
              type="checkbox"
              class="form-check"
              name="vomito"
              id="encuesta-vomito"
              data-cy="vomito"
              :class="{ valid: !$v.encuesta.vomito.$invalid, invalid: $v.encuesta.vomito.$invalid }"
              v-model="$v.encuesta.vomito.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.mareo')" for="encuesta-mareo">Mareo</label>
            <input
              type="checkbox"
              class="form-check"
              name="mareo"
              id="encuesta-mareo"
              data-cy="mareo"
              :class="{ valid: !$v.encuesta.mareo.$invalid, invalid: $v.encuesta.mareo.$invalid }"
              v-model="$v.encuesta.mareo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.ninguna')" for="encuesta-ninguna">Ninguna</label>
            <input
              type="checkbox"
              class="form-check"
              name="ninguna"
              id="encuesta-ninguna"
              data-cy="ninguna"
              :class="{ valid: !$v.encuesta.ninguna.$invalid, invalid: $v.encuesta.ninguna.$invalid }"
              v-model="$v.encuesta.ninguna.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaEncuesta.user')" for="encuesta-user">User</label>
            <select class="form-control" id="encuesta-user" data-cy="user" name="user" v-model="encuesta.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="encuesta.user && userOption.id === encuesta.user.id ? encuesta.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.encuesta.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./encuesta-update.component.ts"></script>
